wiki:SEMAINE-3.1-Dependencies

SEMAINE-3.1 Dependencies: Required software

The following software is required to run the SEMAINE-3.1 system. (additional software is required to compile SEMAINE-3.1 components).

Java 1.6

The SEMAINE-3.1 java components require Java 1.6. For just running the system, the Java Runtime Environment (JRE) is sufficient; you can obtain it from http://www.java.com/getjava

ActiveMQ

Previous versions of SEMAINE (up to 3.0.1) required the user to start a separate process for the Java Messaging Service (JMS) server ActiveMQ. As of release 3.1.0, the SEMAINE system starts an embedded ActiveMQ broker with the java components, so that there is no further dependency on an external ActiveMQ server.

Windows

The SEMAINE-3.1-windows components are distributed as binaries for Windows XP, Vista and Windows 7. You should not need any third-party software installed to run the windows components; in particular, there is no more the need to install DirectX.

Firewire camera

In order to use the SEMAINE Video components with a Firewire camera (such as the Stingray F-046B) compatible with Windows Vista and OpenCV 2.0, the camera must be recognized in the Device Manager as 1394 Digital Camera. This can be achieved by downloading and installing the CMU 1394 Digital Camera Driver (http://www.cs.cmu.edu/~iwan/1394/). If after the installation the camera is not recognized as CMU 1394 Digital Camera, proceed as follows:

  • The IEEE 1394 Bus host controller named RICOH OHCI Compliant IEEE 1394 host controller should be uninstalled;
  • ‘Scan for hardware changes’ should be done;
  • In the imaging devices list, there should be now a 1394 Digital Camera. The driver for this camera should be updated by choosing the CMU 1394 Digital Camera Driver as the location for this update.
Last modified 7 years ago Last modified on 12/13/10 11:12:43